Get a folder
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"nameSource": "<string>",
"lastUsedDay": "<string>",
"created": "<string>",
"default": true,
"keys": [
{
"id": "<string>",
"tail": "<string>",
"issuedDay": "<string>",
"lastUsedDay": "<string>",
"revoked": true
}
],
"index": "<string>",
"items": {},
"judgments": [
{
"id": "<string>",
"at": "<string>",
"outcome": "<string>",
"salience": "<string>",
"reason": "<string>",
"paths": [
"<string>"
],
"item": "<string>",
"progress": "<string>",
"did": "<string>",
"wanted": "<string>"
}
],
"jobs": [
{}
],
"sleep": {
"enabled": true,
"lastRun": "<string>"
},
"charges": {}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Folders
Get a folder
One folder: its name, every key that reaches it, its memory index, work items, recent judgments, nightly sleep and last 30 days of charges.
GET
/
folders
/
{id}
Get a folder
curl --request GET \
--url https://nemonist.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"nameSource": "<string>",
"lastUsedDay": "<string>",
"created": "<string>",
"default": true,
"keys": [
{
"id": "<string>",
"tail": "<string>",
"issuedDay": "<string>",
"lastUsedDay": "<string>",
"revoked": true
}
],
"index": "<string>",
"items": {},
"judgments": [
{
"id": "<string>",
"at": "<string>",
"outcome": "<string>",
"salience": "<string>",
"reason": "<string>",
"paths": [
"<string>"
],
"item": "<string>",
"progress": "<string>",
"did": "<string>",
"wanted": "<string>"
}
],
"jobs": [
{}
],
"sleep": {
"enabled": true,
"lastRun": "<string>"
},
"charges": {}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Authorizations
Response
The folder.
One folder in detail.